<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingBottom="10dp"
    android:paddingLeft="5dp"
    android:paddingRight="10dp"
    android:paddingTop="10dp">

    <TextView
        android:id="@+id/select_game_order"
        android:layout_width="25dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:maxLength="3"
        android:text="1"
        android:textColor="@color/title"
        android:textSize="14sp"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/select_game_thumb"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_marginLeft="5dp" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:layout_weight="1"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <TextView
            android:id="@+id/select_game_nameAndsize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:lineSpacingMultiplier="0.9"
            android:singleLine="true"
            android:textColor="@color/text_3a3a3a"
            android:textSize="15sp" />

        <RelativeLayout
            android:id="@+id/select_game_rl"
            android:layout_width="match_parent"
            android:layout_height="28dp">

            <TextView
                android:id="@+id/select_game_des"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:layout_marginTop="10dp"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:lineSpacingMultiplier="0.9"
                android:singleLine="true"
                android:textColor="@color/text_3a3a3a"
                android:textSize="11sp" />


            <LinearLayout
                android:id="@+id/select_game_ll_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="2.5dp"
                android:layout_marginTop="3dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:id="@+id/select_download_speed"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="4"
                    android:ellipsize="end"
                    android:singleLine="true"
                    android:text="等待中"
                    android:textColor="@color/title"
                    android:textSize="9sp" />

                <TextView
                    android:id="@+id/download_percentage"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ellipsize="end"
                    android:gravity="right"
                    android:singleLine="true"
                    android:text="0.0%"
                    android:textColor="@color/content"
                    android:textSize="9sp" />

            </LinearLayout>

            <ProgressBar
                android:id="@+id/select_game_progressbar"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="match_parent"
                android:layout_height="3dp"
                android:layout_below="@+id/select_game_ll_info"
                android:layout_marginBottom="4dp"
                android:max="1000"
                android:progressDrawable="@drawable/progressbar_bg_style"
                android:visibility="gone" />


        </RelativeLayout>


        <TextView
            android:id="@+id/select_game_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill_vertical"
            android:orientation="horizontal"
            android:textColor="@color/text_3a3a3a"
            android:textSize="12sp">

        </TextView>

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/select_game_cb_rl"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:gravity="center"
        android:paddingLeft="8dp"
        android:paddingRight="8dp"
        android:visibility="gone">

        <androidx.appcompat.widget.AppCompatCheckBox
            android:id="@+id/select_game_btn"
            style="@style/KcCheckboxStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

    </RelativeLayout>

    <TextView
        android:id="@+id/select_status_btn"
        android:layout_width="60dp"
        android:layout_height="28.5dp"
        android:layout_marginRight="8dp"
        android:background="@drawable/kuaichuan_cancel_bg"
        android:gravity="center"
        android:text="取消"
        android:textColor="@color/content"
        android:textSize="13sp"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/send_over_icon"
        android:layout_width="60dp"
        android:layout_height="15dp"
        android:layout_marginRight="8dp"
        android:src="@drawable/kc_send_over_icon"
        android:visibility="gone" />


</LinearLayout>